Package com.mckoi.database

## Interface IndexSet

    public interface IndexSet

A set of list of indexes. This will often expose an isolated snapshot of a set of indices for a table.

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Cleans up and disposes the resources associated with this set of index.
`IntegerListInterface` `getIndex​(int n)` Returns a mutable object that implements IntegerListInterface for the given index number in this set of indices.

### Method Detail

#### getIndex

    IntegerListInterface getIndex​(int n)

Returns a mutable object that implements IntegerListInterface for the given index number in this set of indices.

#### dispose

    void dispose()

Cleans up and disposes the resources associated with this set of index.